> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List spending plan iterations

>  

This endpoint returns a list of iterations associated with the `spending_plan` according to its MX-defined GUID.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /spending_plans/{spending_plan_guid}/iterations
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /spending_plans/{spending_plan_guid}/iterations:
    get:
      tags:
        - spending plan
      summary: List spending plan iterations
      description: >-
        This endpoint returns a list of iterations associated with the
        `spending_plan` according to its MX-defined GUID.
      operationId: listSpendingPlanIterations
      parameters:
        - name: spending_plan_guid
          description: The unique identifier for the spending plan. Defined by MX.
          example: SPL-7aa13bdb-2866-ba38-b326-d9fb32268f9b
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/SpendingPlanIterationsResponseBody'
components:
  schemas:
    SpendingPlanIterationsResponseBody:
      properties:
        iterations:
          items:
            $ref: '#/components/schemas/SpendingPlanIterationResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    SpendingPlanIterationResponse:
      properties:
        created_at:
          example: '2016-10-13T18:08:00+00:00'
          nullable: true
          type: string
          description: >-
            The date and time at which the `spending_plan_iteration` was
            created.
        end_on:
          example: '2023-05-31T00:00:00.000Z'
          nullable: true
          type: string
          description: The date the spending plan iteration ends.
        guid:
          example: SPI-848e6648-3fa3-4632-ac8f-e65f03167102
          nullable: true
          type: string
          description: >-
            The unique identifier for the `spending_plan_account`. Defined by
            MX.
        iteration_number:
          example: 1
          nullable: true
          type: integer
          description: The current iteration number for the spending plan iteration.
        spending_plan_guid:
          example: SPL-dbfe201d-c341-4bff-93c0-62a918d0b600
          nullable: true
          type: string
          description: >-
            The unique identifier for the `spending_plan` associated with the
            `spending_plan_account`. Defined by MX.
        start_on:
          example: '2023-05-01T00:00:00.000Z'
          nullable: true
          type: string
          description: The date the spending plan iteration starts.
        updated_at:
          example: '2016-10-13T18:09:00.000Z'
          nullable: true
          type: string
          description: >-
            The date and time at which the `spending_plan_account` was most
            recently updated.
        user_guid:
          example: USR-72086f59-6684-4adf-8f29-c4d32db43cd7
          nullable: true
          type: string
          description: >-
            The unique identifier for the user to which the
            `spending_plan_account` belongs. Defined by MX.
      type: object
    PaginationResponse:
      properties:
        current_page:
          type: integer
          example: 1
        per_page:
          example: 25
          type: integer
        total_entries:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 1
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````